Debian Bug report logs - #643478
g2: FTBFS: dpkg-buildpackage: error: dpkg-source --after-build g2-0.72 gave error exit status 1

version graph

Package: src:g2; Maintainer for src:g2 is Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>;

Reported by: Didier Raboud <odyx@debian.org>

Date: Tue, 27 Sep 2011 13:12:22 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version g2/0.72-2

Fixed in version g2/0.72-2.1

Done: Didier Raboud <odyx@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#643478; Package src:g2. (Tue, 27 Sep 2011 13:12:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 27 Sep 2011 13:12:26 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: submit@bugs.debian.org
Subject: g2: FTBFS: dpkg-buildpackage: error: dpkg-source --after-build g2-0.72 gave error exit status 1
Date: Tue, 27 Sep 2011 15:02:02 +0200
Source: g2
Version: 0.72-2
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110923 qa-ftbfs dpkg-source-exit-1
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> dpkg-genchanges: including full source code in upload
>  dpkg-source --after-build g2-0.72
> dpkg-source: info: unapplying stabelise_makefile.diff
> dpkg-source: error: LC_ALL=C patch -R -t -N -p1 -u -V never -g0 -E --no-backup-if-mismatch < g2-0.72/debian/patches/stabelise_makefile.diff gave error exit status 1
> patching file Makefile
> Hunk #2 FAILED at 21.
> 1 out of 6 hunks FAILED -- saving rejects to file Makefile.rej
> dpkg-buildpackage: error: dpkg-source --after-build g2-0.72 gave error exit status 1
> ────────────────────────────────────────────────────────────────────────────────
> Build finished at 20110924-0045

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/09/23/g2_0.72-2_lsid64.buildlog

This is probably due to special hand-fiddling with debian/patches/* 
quilt series. With dpkg >= 1.16.0, "When dpkg-source automatically applies
patches at the start of the build process, it will also automatically unapply
them at the end of a successful build." [0]

[0] http://lists.debian.org/debian-devel-announce/2011/09/msg00001.html

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#643478; Package src:g2. (Tue, 15 Nov 2011 16:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 15 Nov 2011 16:09:05 GMT) Full text and rfc822 format available.

Message #10 received at 643478@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 643478@bugs.debian.org
Subject: g2: diff for NMU version 0.72-2.1
Date: Tue, 15 Nov 2011 17:08:28 +0100
[Message part 1 (text/plain, inline)]
tags 643478 + patch
thanks

Dear maintainer,

I've prepared an NMU for g2 (versioned as 0.72-2.1), uploaded in DELAYED/0 as
per DevRef §5.11.1.

The diff is attached to this message.

Regards, 

OdyX
[g2-0.72-2.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Tue, 15 Nov 2011 16:09:07 GMT) Full text and rfc822 format available.

Reply sent to Didier Raboud <odyx@debian.org>:
You have taken responsibility. (Tue, 15 Nov 2011 18:27:03 GMT) Full text and rfc822 format available.

Notification sent to Didier Raboud <odyx@debian.org>:
Bug acknowledged by developer. (Tue, 15 Nov 2011 18:27:03 GMT) Full text and rfc822 format available.

Message #17 received at 643478-close@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 643478-close@bugs.debian.org
Subject: Bug#643478: fixed in g2 0.72-2.1
Date: Tue, 15 Nov 2011 18:25:40 +0000
Source: g2
Source-Version: 0.72-2.1

We believe that the bug you reported is fixed in the latest version of
g2, which is due to be installed in the Debian FTP archive:

g2_0.72-2.1.debian.tar.gz
  to main/g/g2/g2_0.72-2.1.debian.tar.gz
g2_0.72-2.1.dsc
  to main/g/g2/g2_0.72-2.1.dsc
libg2-dev_0.72-2.1_amd64.deb
  to main/g/g2/libg2-dev_0.72-2.1_amd64.deb
libg20-perl_0.72-2.1_amd64.deb
  to main/g/g2/libg20-perl_0.72-2.1_amd64.deb
libg20_0.72-2.1_amd64.deb
  to main/g/g2/libg20_0.72-2.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 643478@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Didier Raboud <odyx@debian.org> (supplier of updated g2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 15 Nov 2011 16:59:33 +0100
Source: g2
Binary: libg2-dev libg20 libg20-perl
Architecture: source amd64
Version: 0.72-2.1
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Didier Raboud <odyx@debian.org>
Description: 
 libg2-dev  - g2 2D graphics library (development files)
 libg20     - g2 2D graphics library
 libg20-perl - g2 2D graphics library (Perl module)
Closes: 643478
Changes: 
 g2 (0.72-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Don't mix source format 3.0 (quilt) and manual usage of quilt:
     - Drop manual quilt calls from debian/rules;
     - Drop superfluous quilt Build-Depends.
     Closes: #643478
Checksums-Sha1: 
 c5862624ee670771b1c3b4d08096f946b35228cf 1974 g2_0.72-2.1.dsc
 c1bb30a454407c7f70be120a412c11e2efcef68e 8486 g2_0.72-2.1.debian.tar.gz
 f088581b877f26fb386f544d36df50635cd41bed 207502 libg2-dev_0.72-2.1_amd64.deb
 c2a8b3d24e493a9f9f273286be2c85b5e14015dc 51526 libg20_0.72-2.1_amd64.deb
 c83ca77fde4a1d2641ade3d1ed8f97c0c7227e81 35856 libg20-perl_0.72-2.1_amd64.deb
Checksums-Sha256: 
 264a4cbb7cdef5cc8803a6a76970b7241e2d5050cf6df513e50516acd0f7115c 1974 g2_0.72-2.1.dsc
 532d6f1ffc369441a1fa547f93c41a3d86d9a1a467110124125872777c7581e2 8486 g2_0.72-2.1.debian.tar.gz
 89b17364d27a5eb5d45bbc9b0a8997cc4699bcf06e867fffa01618b3bcfa1508 207502 libg2-dev_0.72-2.1_amd64.deb
 245bb1596bc2563f5f3fcd97e08f05e545b0995c2c135ff490d49399c311baea 51526 libg20_0.72-2.1_amd64.deb
 63f1196a319b3086e82bcce30cc7c76966f3010c63428ff5073600c53980c08e 35856 libg20-perl_0.72-2.1_amd64.deb
Files: 
 a0268d398a91d7b335943a720da2343b 1974 libs optional g2_0.72-2.1.dsc
 ab40ecf068117a208854034b15a8d6ba 8486 libs optional g2_0.72-2.1.debian.tar.gz
 490968c401af60c093d8e0b6679f52ec 207502 libdevel optional libg2-dev_0.72-2.1_amd64.deb
 011080025e98687f70628098419a3c6a 51526 libs optional libg20_0.72-2.1_amd64.deb
 74881554150a3c0c5ae1f9d46b99a24b 35856 perl optional libg20-perl_0.72-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQGcBAEBCAAGBQJOwo4mAAoJEIvPpx7KFjRVQDwL/0kGX2/jnCDXfXsG/cw3pQ6c
UKs9UGTAAJ+Sv0DpKC5Qsqlu9HR6+9tp1nIrWqUUphicMqiqRl8qLmRPefI8bQKa
Zf/aHQezJPZHeKP6R3x671T8b2hwv9RjG+59D2L6dt7u7YwYyHWaYRKykhv5q8i8
sSUYGiia+Nl/SU2A5DX4BMYMMsmUWP+3DXqZweTTxgyEpNiySv7UdifEJ0Km+n/V
/+Cr5b/iW5hQHATZLpKFlHzH5pKHMemXiaTTXXnV4eiKKMQEQmIG4agbh0UdYlub
y2SHEkx7NVDc/NPC2q66ZN+Z+XEkjokoxNimz2q/UzZX4HheJNDovWXeQ0/ubbjx
BHJWgIRg1ikn4z9VvBWzIkDoh4AOjp9sQxD0lXZuPS13xyl6oD4KnyolxJ6vQEc/
J712VmVzfmLav0FafWlyUmwcbapalmHX6/GnlssiQMlb2MwUIlDR3xpbjes6urTh
3ygkHFdTqX7VyTKNMQSd+lFADWegBU/jJ/ehOYjhjA==
=okDf
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Dec 2011 07:37:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:46:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.